## ros-rolling-tracetools-trace 4.0.0

=== debian/changelog ===
ros-rolling-tracetools-trace (4.0.0-1focal) focal; urgency=high

  * Disable kernel tracing by default
  * Don't require kernel tracer and detect when it's not installed
  * Introduce constants for tracepoint names
  * Optimize default tracing session channel config values
  * Deprecate 'context_names' param and replace with 'context_fields'
  * Support per-domain context fields for the Trace action
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Thu, 20 Jan 2022 05:00:00 -0000

ros-rolling-tracetools-trace (3.1.0-1focal) focal; urgency=high

  * Add support for rmw init/pub, take, and executor tracepoints
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Wed, 11 Aug 2021 04:00:00 -0000

ros-rolling-tracetools-trace (2.2.0-1focal) focal; urgency=high

  * Add support for rcl_publish and rclcpp_publish tracepoints
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Mon, 29 Mar 2021 04:00:00 -0000

ros-rolling-tracetools-trace (2.1.0-1focal) focal; urgency=high

  * Fix flake8 blind except error by using more concrete types
  * Allow configuring tracing directory through environment variables
  * Cleanly stop ros2trace/tracetools_trace tracing on SIGINT
  * Add instrumentation support for linking a timer to a node
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Wed, 13 Jan 2021 05:00:00 -0000

ros-rolling-tracetools-trace (2.0.0-1focal) focal; urgency=high

  * Add lifecycle node state transition instrumentation
  * Contributors: Christophe Bedard, Ingo Lütkebohle

 -- Christophe Bedard <bedard.christophe@gmail.com>  Mon, 12 Oct 2020 04:00:00 -0000

ros-rolling-tracetools-trace (1.0.1-1focal) focal; urgency=high

  * Fail gracefully when trying to trace if LTTng is not installed
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Wed, 27 May 2020 04:00:00 -0000

ros-rolling-tracetools-trace (1.0.0-1focal) focal; urgency=high

  * Start a session daemon if there isn't one before setting up tracing
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Fri, 24 Apr 2020 04:00:00 -0000

ros-rolling-tracetools-trace (0.3.0-1focal) focal; urgency=high

  * Add more context types and refactor mapping between name and constant
  * Check version of LTTng Python module and raise error if below 2.10.7
  * Add logs for trace action init and fini
  * Expose context enabling through CLI and Trace action
  * Add kmem_mm_page_alloc|free to default kernel events
  * Remove sched_waking/sched_wakeup from the default kernel events list
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Wed, 04 Mar 2020 05:00:00 -0000

ros-rolling-tracetools-trace (0.2.11-1focal) focal; urgency=high

  * Register Python packages in the ament index
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Mon, 09 Dec 2019 05:00:00 -0000

ros-rolling-tracetools-trace (0.2.10-1focal) focal; urgency=high

  * Make printing list of enabled events more readable
  * Add new rclcpp_subscription_init tracepoint to default ROS events list
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Sun, 17 Nov 2019 05:00:00 -0000

ros-rolling-tracetools-trace (0.2.8-1focal) focal; urgency=high

  * Re-order args for trace command
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Mon, 14 Oct 2019 04:00:00 -0000

ros-rolling-tracetools-trace (0.2.7-1focal) focal; urgency=high

  * Fix missing ament_xmllint dependency
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Mon, 09 Sep 2019 04:00:00 -0000

ros-rolling-tracetools-trace (0.2.6-1focal) focal; urgency=high

  * Extract lttng interface functions to other files
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Fri, 16 Aug 2019 04:00:00 -0000

ros-rolling-tracetools-trace (0.2.5-1focal) focal; urgency=high

  * Make lttng interface silently do nothing if lttng cannot be imported
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Thu, 15 Aug 2019 04:00:00 -0000

ros-rolling-tracetools-trace (0.2.2-1focal) focal; urgency=high

  * Revert "Replace special character to fix encoding issue"
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Thu, 01 Aug 2019 04:00:00 -0000

ros-rolling-tracetools-trace (0.2.1-1focal) focal; urgency=high

  * Replace special character to fix encoding issue
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Wed, 31 Jul 2019 04:00:00 -0000

ros-rolling-tracetools-trace (0.1.0-1focal) focal; urgency=high

  * Use proper arg parser and event names completers
  * Add tracing utilities
  * Contributors: Christophe Bedard, Ingo Lütkebohle

 -- Christophe Bedard <bedard.christophe@gmail.com>  Thu, 11 Jul 2019 04:00:00 -0000
