=== debian/control ===
Source: ros-rolling-tracetools-trace
Section: misc
Priority: optional
Maintainer: Christophe Bedard <bedard.christophe@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python3-pytest, ros-rolling-ament-copyright, ros-rolling-ament-flake8, ros-rolling-ament-mypy, ros-rolling-ament-pep257, ros-rolling-ament-xmllint, ros-rolling-ros-workspace, python3-all, python3-setuptools
Homepage: https://index.ros.org/p/tracetools_trace/
Standards-Version: 3.9.2

Package: ros-rolling-tracetools-trace
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, python3-lttng, ros-rolling-ros-workspace
Description: Tools for setting up tracing sessions.
